/*!***************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/components/Book/Book/styles.css ***!
  \***************************************************************************************/
.book-item-inner {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}
.book-cover {
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: 250px;
    transition: 0.32s ease-out;
}
.book-cover:hover {
    cursor: pointer;
    transform: scale(1.05);
    transition: 0.16s ease-in;
}
.book-title {
    text-align: center;
    color: #3C280D;
}
.book-author {
    text-align: center;;
}

@media screen and (max-width: 576px) {
    .book-cover {
        max-width: 200px;
        max-height: 225px;
    }
    .book-title {
        font-size: 2rem;
    }
    .book-author {
        font-size: 1.25rem;
    }
}
/*!**************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/components/Carousel/styles.css ***!
  \**************************************************************************************/

  /* these are responsible for sliding the carousel-items */
.carousel-indicators-container {
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
    margin: 0;
    margin-right: auto;
}
.carousel-indicators {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 144px;
    height: 56px;
    border-radius: 45px;
    padding: 8px;
    gap: 8px;
    z-index: 2;
}
.carousel-indicator-item {
    min-width: 12px;
    min-height: 12px;
    max-height: 12px;
    max-width: 12px;
    border-radius: 100%;
    border: 0;
    transition: 0.5s ease-out;
    background-color: black;
}

.carousel-indicator-item.active {
    min-width: 36px !important;
    max-width: 36px !important;
    border-radius: 45px !important;
    background-color: rgb(197, 161, 233);
    border: 1px solid rgb(197, 161, 233);
    transition: 0.25s ease-in-out;
}

@keyframes indicator-grow {
    from {
        min-width: 12px !important;
        min-height: 12px !important;
        max-height: 12px !important;
        max-width: 12px !important;
        border-radius: 100% !important;
    }
    to {
        min-width: 36px !important;
        max-width: 36px !important;
        border-radius: 45px !important;
        background-color: white !important;
    }
}
@keyframes indicator-shrink {
    from {
        min-width: 36px !important;
        max-width: 36px !important;
        border-radius: 45px !important;
        background-color: white !important;
    }
    to {
        min-width: 12px !important;
        min-height: 12px !important;
        max-height: 12px !important;
        max-width: 12px !important;
        border-radius: 100% !important;
    }
}
/*!******************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/components/CarouselItem/styles.css ***!
  \******************************************************************************************/
.carousel {
    display: flex;
    align-items: center;
    justify-content: start;
    /* width: 100% !important; */
    height: auto !important;
    position: relative;
    overflow: hidden;
}

.carousel-inner {
    display: flex;
    align-items: center;
    justify-content: start;
    min-width: 100% !important;
    height: 500px !important;
    max-height: 500px !important;
    scroll-behavior: smooth;
    /* The "Secret Sauce" */
    scroll-snap-type: x mandatory; 
    -webkit-overflow-scrolling: touch; /* Smooth momentum on iOS */
}

.carousel-item-container {
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 100% !important;
    max-width: 100% !important;
    height: 100% !important;
    position: relative;
    overflow: hidden;
}

.carousel-item {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    flex: 0 0 100%;
    height: 100% !important;
    margin: 0;
}

/*!************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/components/Footer/styles.css ***!
  \************************************************************************************/
footer {
    display: flex; 
    align-items: center;
    justify-content: center;
    height: auto;
}
.footer-inner {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}
@media screen and (max-width: 576px) {
    footer {
        min-height: 100px;
    }
}

/*!************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/components/Header/styles.css ***!
  \************************************************************************************/

/*!**********************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/components/Hero/styles.css ***!
  \**********************************************************************************/
header {
    height: 125vh;
    max-width: 100vw;
    background-color: #fcf7f3;
    position: relative;
}

.hero {
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 1fr;
    position: relative;
    background-color: #fcf7f3;
    overflow: hidden;
}

.hero> article {
    display: flex;
    align-items: center;
    justify-content: start;
    flex-direction: column;
    padding-top: 80px;
    max-width: 100%;
    overflow: hidden;
    margin-top: auto;
    z-index: 2;
}

.hero> article> h1 {
    font-size: 4.25rem !important;
    margin-bottom: 40px;
}
.hero> article> p {
    font-size: 1.25rem !important;
}

.hero-image-container {
    display: flex;
    align-items: center;
    justify-content: end;
    max-height: 100vh;
    position: absolute;
    z-index: 1;
    bottom: -50px;
}

.hero-image {
    object-fit: contain; 
    object-position: center;
    width: 100%;
    height: 100%;
    max-width: 60vw;
    max-height: 100%;
}

@media screen and (max-width: 576px) {
    header {
        height: 600px !important;
        max-height: 600px !important;
    }
    .hero {
        padding: 0 !important;
        overflow: hidden;
    }
    .hero> article {
        min-width: 100vw !important;
        max-width: 100vw !important;
        margin: 0 !important;
        padding: 4px !important;
        /* justify-content: start !important; */
        z-index: 0 !important;
        overflow: hidden;
    }
    .hero> article> h1 {
        font-size: 2.25rem !important;
        text-align: start !important;
        margin: 0 !important;
        padding: 0 !important;
    }
    .hero> article> p {
        text-align: start !important;
    }

    .hero-image {
        max-height: 425px !important;
        bottom: 200px !important;
        object-fit: cover;
        object-position: top center !important;
        z-index: 1 !important;
    }
}

/* 
    tablet sizes 
    768px,
    820px,
    1024px
*/
@media screen and (max-width: 1024px) {
    header {
        width: 100vw !important;
        max-width: 100vw !important;
        height: 100vh !important;
        max-height: 700px !important;
        padding: 0 !important;
        overflow: hidden !important;
    }

    .hero> article {
        justify-content: center !important;
        width: 100% !important;
        max-width: 85vw !important;
        height: auto !important;
        padding: 8px !important;
        position: absolute;
        z-index: 0;
        top: 100px;
        left: 0 !important;
        right: 0 !important;
    }
    .hero> article> h6 {
        font-size: 1.5rem !important;
        text-align: center !important;
        margin: 0 !important;
        max-width: 100% !important;
    }
    .hero> article> h1 {
        font-size: 4.5rem !important;
        font-weight: bold !important;
        text-align: center !important;
        max-width: 100% !important;
    }
    .hero> article> p {
        font-size: 2.25rem !important;
        text-align: center !important;
        max-width: 100% !important;
    }
    .hero-image {
        width: 100vw !important;
        max-width: 100vw !important;
        height: 100vh !important;
        max-height: 600px !important;
        object-fit: contain !important;
        object-position: center !important;
        z-index: 2 !important;
    }
}   
/*!************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/components/Navbar/AdminNavbar/styles.css ***!
  \************************************************************************************************/
nav[data-navbar="admin"] {
    min-height: 125px;
    max-height: 125px;
    position: relative;
}
.nav-inner {
    display: flex;
    flex-direction: column;
}
.top-navbar,
.bottom-navbar {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
}
/* top navbar css */
.top-navbar {
    height: 85px;
}
.stats {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: auto;
    padding: 4px;
}
.stats-icon {
    display: flex;
    align-items: cener;
    justify-content: center;
    font-size: 24px;
}
.stats-number {
    position: absolute;
    z-index: 1;
    right: 0;
    top: 0;
    width: 16px;
    height: 16px;
    max-height: 16px;
    max-width: 16px;
    font-size: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
}

.profile {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    color: white;
    font-size: 16px;
    text-transform: capitalize;
}

/* bottom navbar css */
.bottom-navbar {
    height: 40px;
}
.navLinks {
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: start;
    flex: 1;
    gap: 24px;
}
.navLinkItem {
    display: flex;
    align-items: center;
    justify-content: center;
    list-style-type: none;
    padding: 0;
    margin: 0;
    width: auto;
}
.navLink {
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    width: auto;
}
@media screen and (max-width: 576px) {
    nav {

    }
    .nav-innner {

    }
}
/*!*******************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/components/Navbar/Navbar/styles.css ***!
  \*******************************************************************************************/
nav[data-navbar="default"] {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 85px;
    max-height: 85px;
}

.nav-inner {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

nav[data-navbar="default"]> .nav-inner {
    flex-direction: row !important;
}

.navlinks {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    position: fixed;
    z-index: 1;
    top: 0;
    right: 0;
    transform: translateX(100%);
    transition: 1.5s ease-out;
    gap: 1rem;
}

.nav-links-item {
    display: flex;
    align-items: center;
    justify-content: center;
    list-style-type: none;
    height: 100%;
    padding: 0;
    margin: 0;
}
.nav-link {
    display: flex;
    align-items: center;
    justify-content: center;
}
.nav-link> .material-symbols-outlined {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 4px;
}
/* mobile devices viewport queries */
@media screen and (max-width: 576px) {
    nav[data-navbar="default"] {
        height: 100px !important;
        max-height: 100px !important;
    }
    .navlinks {
        position: fixed;
        top: 0 !important;
        z-index: 3 !important;
        transform: translateX(100%);
        justify-content: start;
        background-color: white !important;
        width: 100vw !important;
        height: 100vh !important;
        display: flex;
        flex-direction: column;
        transition: 0.16s ease-out;
        border: 1px solid #ddd;
        box-shadow: 0 0 8px lightgray;
        background-color: white !important;
        padding: 0 !important;
        margin: 0 !important;
    }
    .nav-links-item {
        list-style-type: none;
        height: 60px !important;
        max-height: 60px !important;
    }
}

/* tablet device viewport queries*/
@media screen and (max-width: 1024) {
    .navlinks {
        position: fixed !important;
        z-index: 2 !important;
        right: 0 !important;
        top: 0 !important;
        height: 100vh !important;
        width: 100vw !important;
        background-color: white !important;
        display: flex;
        flex-direction: column !important;
        justify-content: start !important;
    }
    nav[data-navbar="default"]> .nav-inner> .menu-button-container {
        display: flex !important;
    }
}
/*!****************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/components/Navbar/PdfReaderNavbar/styles.css ***!
  \****************************************************************************************************/
#pdf-navbar {
    position: fixed;
    z-index: 2;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 60px !important;
}
.navbar-inner  {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}
#profile-circle-container {
    display: flex;
    align-items: center;
    justify-content: center;
}
#profile-circle {
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 16px;
    text-transform: uppercase;
}

/* Chrome, Edge, Safari */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
    outline: none;
}
/* Firefox */
input[type="number"] {
    -moz-appearance: textfield;
    outline: none;
}

@media screen and (max-width: 576px) {
    #pdf-viewer {
        height: 85px;
    }
}
/*!*************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/components/NavLogo/styles.css ***!
  \*************************************************************************************/
.nav-logo {
    display: flex;
    align-items: center;
    justify-content: center;
}
.logo {
    display: flex;
    align-items: center;
    justify-content: start;
}
.logo-icon {
    margin: 0;
    margin-right: auto;
}
.site-name {
    font-size: 32px;
    text-align: start;
}

@media screen and (max-width: 576px) {
    .site-name {
        font-size: 14px;
    }
}
/*!*******************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/components/NavMenuButton/styles.css ***!
  \*******************************************************************************************/
.menu-button {
    display: none;
    align-items: center;
    justify-content: center;
    max-height: 100%;
}

.menu-button-open {
    display: flex;
    width: 100px;
}

.menu-button-icon {
    display: flex;
    align-items: center;
    justify-content: center;
}

.menu-button-close {
    min-width: 100% !important;
    max-width: 100% !important;
    max-height: 100px !important;
}

@media screen and (max-width: 576px) {

    .menu-button {
        display: flex !important;
    }
    .menu-button-open {
        width: 100px !important;
        height: 100px !important;
        max-width: 125px !important;
    }
}
/*!************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/components/Search/styles.css ***!
  \************************************************************************************/
input[name='search']:focus{
    outline: none !important;
    border: 0 !important;
    box-shadow: none !important;
}
/*!***************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/components/SearchBar/styles.css ***!
  \***************************************************************************************/

/*!*******************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/components/SearchResults/styles.css ***!
  \*******************************************************************************************/
.page-results-container {
    display: flex;
    align-items: center;
    justify-content: center;
}
.page-results {
    display: flex;
    align-items: center;
    justify-content: center;
}
/*!********************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./src/components/Sorts/BookSort/styles.css ***!
  \********************************************************************************************/
.sort {
    display: flex;
    align-items: center;
    justify-content: center;
}
.sort-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: white;
}

.sort-list {
    display: none;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-color: white;
    position: absolute;
    bottom: calc(-45px * 4.25);
    z-index: 1;
    width: 300px;
    height: auto;
}
.show-sort-list {
    display: flex;
}
.sort-list-options {
    display: flex;
    align-items: center;
    justify-content: start;
    position: relative;
    height: 45px;
    transition: 0.08s ease-out;
}
.sort-list-options:hover {
    background-color: /*#3C280D*/#5E2C04;
    color: white;
    cursor: pointer;
    transition: 0.05s ease-in;
}

@media screen and (max-width: 576px) {
    .sort-view-options-list {
        width: 98vw;
        left: -49vw;
        margin: 0 !important;
    }
}
